

function FormatStackTrace(error, frames) {
    var stack = stringify(error, String)

    for (var line, i = 0, l = frames.length; i < l; i++) {
        line = stringify(frames[i], String)
        if (line) stack += '\n    at ' + line
    }
    return stack
}

function stringify(error, fn) {
    try {
        try {
            return fn(error)
        } catch (e) {
            return '<error: ' + e + '>'
        }
    } catch (ee) {
        return '<error>'
    }
}
module.exports = FormatStackTrace